theta = var('theta')

p = parametric_plot((cos(theta), sin(theta)), (theta, 0, 2*pi), fill = True,
                       color = 'blue')
                       
p += parametric_plot((cos(theta), sin(theta)), (theta, 0, 2*pi),
                       color = 'black', thickness = 2)
                       
p += point((0.2, 0.3), marker = 'o', size = 30, rgbcolor = (0,0,0) )
p += text('f(x)', (0.32, 0.35), rgbcolor = (0,0,0), fontsize = 25)

p += point((-0.3, 0.5), marker = 'o', size = 30, rgbcolor = (0,0,0) )
p += text('x', (-0.25, 0.55), rgbcolor = (0,0,0), fontsize = 25)

l = (0.08 + sqrt(0.0064 + 4*0.29*0.87))/(2*0.29)
x = 0.2 - l*0.5
y = 0.3 + l*0.2
p += arrow((0.2, 0.3), (x,y))

p += point((x, y), marker = 'o', size = 30, rgbcolor = (0,0,0) )
p += text('F(x)', (x-0.12, y + 0.05), rgbcolor = (0,0,0), fontsize = 25)

#sphere(opacity = 0.1, color = 'gray')
#for i in range(4):
#    for j in range(i+1, 4):
#        v = 0.6*(t*s[i] + (1-t)*s[j])
#        vn = v.normalized()
#        p += parametric_plot3d([ v[k] for k in range(3)], (t, 0, 1), color = 'red', thickness = 1)
#        p += parametric_plot3d([ vn[k] for k in range(3)], (t, 0, 1), thickness = 3)

p.show(frame = False, aspect_ratio = 1, axes = False, filename = '../06_24_fig2.png')
